<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.CopyJob</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>CopyJob Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>
Inherits: <a href="../kio/KIO.Job.html">KIO.Job</a> &#x2192; <a href="../kdecore/KCompositeJob.html">KCompositeJob</a> &#x2192; <a href="../kdecore/KJob.html">KJob</a> &#x2192; <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: KIO<br />
<h2>Detailed Description</h2>

<p>CopyJob is used to move, copy or symlink files and directories.
Don't create the job directly, but use KIO.copy(),
KIO.move(), KIO.link() and friends.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.copy()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.copyAs()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.move()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.moveAs()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.link()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KIO.linkAs()
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj181606988">CopyMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Copy, Move, Link&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Signals</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196975948">aboutToCreate</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, [<a href="../kio/KIO.CopyInfo.html">KIO.CopyInfo</a>] files)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198601324">copying</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> src, <a href="../kdecore/KUrl.html">KUrl</a> dest)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195439884">copyingDone</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to, time_t mtime, bool directory, bool renamed)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195267980">copyingLinkDone</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> target, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195437836">creatingDir</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> dir)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198602156">linking</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> target, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195436652">moving</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198599596">processedDirs</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, long dirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198599500">processedFiles</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, long files)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195439436">renamed</a> (<a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196975724">totalDirs</a> (<a href="../kdecore/KJob.html">KJob</a> job, long dirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196974156">totalFiles</a> (<a href="../kdecore/KJob.html">KJob</a> job, long files)</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195264812">__init__</a> (self, CopyJobPrivate dd)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201278476">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196975948">aboutToCreate</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, [<a href="../kio/KIO.CopyInfo.html">KIO.CopyInfo</a>] files)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198601324">copying</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> src, <a href="../kdecore/KUrl.html">KUrl</a> dest)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195439884">copyingDone</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to, time_t mtime, bool directory, bool renamed)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195267980">copyingLinkDone</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> target, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195437836">creatingDir</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> dir)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196949676">destUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196974700">doSuspend</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198602156">linking</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> target, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195436652">moving</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.CopyJob.CopyMode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196951020">operationMode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198599596">processedDirs</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, long dirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj198599500">processedFiles</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, long files)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195439436">renamed</a> (self, <a href="../kio/KIO.Job.html">KIO.Job</a> job, <a href="../kdecore/KUrl.html">KUrl</a> from, <a href="../kdecore/KUrl.html">KUrl</a> to)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196973868">setAutoSkip</a> (self, bool autoSkip)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196948236">setDefaultPermissions</a> (self, bool b)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196974284">setWriteIntoExistingDirectories</a> (self, bool overwriteAllDirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195267532">slotResult</a> (self, <a href="../kdecore/KJob.html">KJob</a> job)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196949164">srcUrls</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196975724">totalDirs</a> (self, <a href="../kdecore/KJob.html">KJob</a> job, long dirs)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196974156">totalFiles</a> (self, <a href="../kdecore/KJob.html">KJob</a> job, long files)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj195264812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">CopyJobPrivate&nbsp;</td>
<td class="paramname"><em>dd</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj201278476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj196975948"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> aboutToCreate</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">[<a href="../kio/KIO.CopyInfo.html">KIO.CopyInfo</a>]&nbsp;</td>
<td class="paramname"><em>files</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when it is known which files / directories are going
to be created. Note that this may still change e.g. when
existing files with the same name are discovered.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>files</em>&nbsp;</td><td> a list of items that are about to be created.
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("aboutToCreate(Job*, const QList<KIO::CopyInfo>&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj198601324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> copying</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>src</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>dest</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job is copying a file or directory.
</p>
<p>
Note: This signal is used for progress dialogs, it's not emitted for
every file or directory (this would be too slow), but every 200ms.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>src</em>&nbsp;</td><td> the URL of the file or directory that is currently
being copied

<tr><td></td><td valign="top"><em>dest</em>&nbsp;</td><td> the destination of the current operation
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("copying(Job*, const KUrl&, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj195439884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> copyingDone</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>from</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>to</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">time_t&nbsp;</td>
<td class="paramname"><em>mtime</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>directory</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>renamed</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job emits this signal when copying or moving a file or directory successfully finished.
This signal is mainly for the Undo feature.
If you simply want to know when a copy job is done, use result().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>from</em>&nbsp;</td><td> the source URL

<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> the destination URL

<tr><td></td><td valign="top"><em>mtime</em>&nbsp;</td><td> the modification time of the source file, hopefully set on the destination file
too (when the kioslave supports it).

<tr><td></td><td valign="top"><em>directory</em>&nbsp;</td><td> indicates whether a file or directory was successfully copied/moved.
true for a directory, false for file

<tr><td></td><td valign="top"><em>renamed</em>&nbsp;</td><td> indicates that the destination URL was created using a
rename operation (i.e. fast directory moving). true if is has been renamed
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("copyingDone(Job*, const KUrl&, const KUrl&, time_t, bool, bool)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj195267980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> copyingLinkDone</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>from</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>target</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>to</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job is copying or moving a symbolic link, that points to target.
The new link is created in <b>to.</b> The existing one is/was in <b>from.</b>
This signal is mainly for the Undo feature.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>from</em>&nbsp;</td><td> the source URL

<tr><td></td><td valign="top"><em>target</em>&nbsp;</td><td> the target

<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> the destination URL
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("copyingLinkDone(Job*, const KUrl&, const QString&, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj195437836"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> creatingDir</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>dir</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job is creating the directory <b>dir.</b>
</p>
<p>
This signal is emitted for every directory being created.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>dir</em>&nbsp;</td><td> the directory that is currently being created
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("creatingDir(Job*, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj196949676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> destUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the destination URL.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the destination URL
</dd></dl>
</p></div></div><a class="anchor" name="obj196974700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool doSuspend</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reimplemented for internal reasons
</p></div></div><a class="anchor" name="obj198602156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> linking</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>target</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>to</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job is creating a symbolic link.
</p>
<p>
Note: This signal is used for progress dialogs, it's not emitted for
every file or directory (this would be too slow), but every 200ms.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>target</em>&nbsp;</td><td> the URL of the file or directory that is currently
being linked

<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> the destination of the current operation
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("linking(Job*, const QString&, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj195436652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> moving</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>from</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>to</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The job is moving a file or directory.
</p>
<p>
Note: This signal is used for progress dialogs, it's not emitted for
every file or directory (this would be too slow), but every 200ms.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>from</em>&nbsp;</td><td> the URL of the file or directory that is currently
being moved

<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> the destination of the current operation
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("moving(Job*, const KUrl&, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj196951020"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KIO.CopyJob.CopyMode operationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the mode of the operation (copy, move, or link),
depending on whether KIO.copy(), KIO.move() or KIO.link() was called.
</p></div></div><a class="anchor" name="obj198599596"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> processedDirs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>dirs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sends the number of processed directories.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>dirs</em>&nbsp;</td><td> the number of processed dirs
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("processedDirs(Job*, unsigned long)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj198599500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> processedFiles</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>files</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sends the number of processed files.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>files</em>&nbsp;</td><td> the number of processed files
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("processedFiles(Job*, unsigned long)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj195439436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> renamed</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.Job.html">KIO.Job</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>from</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>to</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The user chose to rename <b>from</b> to <b>to.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>from</em>&nbsp;</td><td> the original name

<tr><td></td><td valign="top"><em>to</em>&nbsp;</td><td> the new name
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("renamed(Job*, const KUrl&, const KUrl&)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj196973868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAutoSkip</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>autoSkip</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Skip copying or moving any file when the destination already exists,
instead of the default behavior (interactive mode: showing a dialog to the user,
non-interactive mode: aborting with an error).
Initially added for a unit test.
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj196948236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setDefaultPermissions</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>b</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>By default the permissions of the copied files will be those of the source files.
</p>
<p>
But when copying "template" files to "new" files, people prefer the umask
to apply, rather than the template's permissions.
For that case, call setDefaultPermissions(true)
</p></div></div><a class="anchor" name="obj196974284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setWriteIntoExistingDirectories</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>overwriteAllDirs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Reuse any directory that already exists, instead of the default behavior
(interactive mode: showing a dialog to the user,
non-interactive mode: aborting with an error).
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj195267532"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotResult</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj196949164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.List.html">KUrl.List</a> srcUrls</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the list of source URLs.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the list of source URLs.
</dd></dl>
</p></div></div><a class="anchor" name="obj196975724"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> totalDirs</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>dirs</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the toal number of direcotries is known.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>dirs</em>&nbsp;</td><td> the total number of directories
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("totalDirs(KJob*, unsigned long)"), target_slot)</code></dd></dl></div></div><a class="anchor" name="obj196974156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> totalFiles</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KJob.html">KJob</a>&nbsp;</td>
<td class="paramname"><em>job</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">long&nbsp;</td>
<td class="paramname"><em>files</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Emitted when the total number of files is known.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>job</em>&nbsp;</td><td> the job that emitted this signal

<tr><td></td><td valign="top"><em>files</em>&nbsp;</td><td> the total number of files
</td></tr>
</table></dl>
<p>
</p><dl compact><dt><b>Signal syntax:</b></dt><dd><code>QObject.connect(source, SIGNAL("totalFiles(KJob*, unsigned long)"), target_slot)</code></dd></dl></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj181606988"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">CopyMode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the mode of the operation
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Copy</em>&nbsp;</td><td><tr><td valign="top"><em>Move</em>&nbsp;</td><td><tr><td valign="top"><em>Link</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
